<?php
defined( 'ABSPATH' ) || exit;
/**
 * The page template file.
 * @version 1.2
 * @package ctpress
 * @author Coders Time
 * Template Name: Safe Template
 */
get_header(); 
?>

<main class="page_main_wrapper my-4">
  <div class="container mb-4">
    <div class="row">

      <div class="col-md-12">
         <div class="advertisement_area">
            <!-- 970x90 size -->
            <?php do_action( 'ctpress_before_content' ); ?>
         </div>         
      </div>

      <div class="col-md-6">

        <?php 
           $lead_article =[];
           $top= new WP_Query(array(
                'post_type'            => 'post',
                'posts_per_page'       => 1,
                'post__in'             => get_option( 'sticky_posts' ),
                'category__in'         => ctpress_get_option('topleft'),
                'ignore_sticky_posts'  => 1,
            ));
           while( $top->have_posts() ) : $top->the_post(); 
            $lead_article[] = get_the_ID();
        ?>
        <div class="row lead-news">
          
            <div class="img-holder">
              <?php echo ctpress_get_post_image( 'medium_large' ); ?>
             </div>

            <a href="<?php the_permalink()?>">
               <div class="post-content pt-4">
                  <div class="title-holder">
                      <?php the_title('<h2 class="post-title">','</h2>'); ?> 
                  </div>
                  <div class="post_desc p-t-10">
                     <p><?php echo ctpress_excerpt(50); ?> </p>
                  </div>
               </div>
             </a>         

          </div>

        <?php endwhile; ?>
      </div>

      <div class="col-md-6 col-lg-6">
        <div class="row">
           <div class="col-md-6 col-lg-6 lead-news-2">
              <div class="no-margin">

                 <?php
                    $topmiddle= new WP_Query(array(
                         'post_type'            =>'post',
                         'posts_per_page'       =>1,
                         'post__in'             => get_option( 'sticky_posts' ),
                         'category__in'         => ctpress_get_option('topmiddle'),
                         'ignore_sticky_posts'  => 1,
                     ));
                    while($topmiddle->have_posts()) : $topmiddle->the_post();
                     $lead_article[] = get_the_ID();
                 ?>

                 <a class="post-item" href="<?php the_permalink()?>">
                    <figure class="img-holder">
                      <?php echo ctpress_get_post_image( ); ?>
                    </figure>
                    
                    <div class="post-content p-t-20">                                 
                       <div class="title-holder">
                           <?php the_title('<h3 class="post-title"><strong>','</strong></h3>'); ?>
                       </div>
                    </div>
                 </a>

                 <?php endwhile; ?>

              </div>
           </div>
           <div class="col-md-6 col-lg-6 lead-news-2">
              <div class=" no-margin">
                 <?php 
                  $topright_lead = 0;
                    $topright = new WP_Query( [
                         'post_type'            => 'post',
                         'posts_per_page'       => 1,
                         'post__in'             => get_option( 'sticky_posts' ),
                         'category__in'         => ctpress_get_option('topright'),
                         'ignore_sticky_posts'  => 1,
                     ]);
                    while( $topright->have_posts()) : $topright->the_post();
                     $lead_article[] = get_the_ID();
                 ?>
                 <a class="post-item" href="<?php the_permalink()?>">
                    <figure class="img-holder">
                      <?php echo ctpress_get_post_image( ); ?>
                    </figure>
                    <div class="post-content pt-34">
                       <div class="title-holder">
                           <?php the_title('<h3 class="post-title"><strong>','</strong></h3>'); ?>
                       </div>
                    </div>
                 </a>
                 <?php endwhile; ?>

              </div>
           </div>

           <div class="col-md-12 col-lg-12">
              <?php do_action( 'ctpress_st_lead_bottom' ); ?>
           </div>

        </div>
      </div>

    </div>
  </div>

  <div class="container">
    <div class="row">
       <div class="col-md-12">
          <div class="advertisement_area">
            <!-- 970x90 size -->
            <?php do_action( 'ctpress_after_top_news' ); ?>
          </div>
       </div>
    </div>
  </div>


<!-- video and image section -->
<style>
@media (max-width: 767px) {
    .carousel-inner .carousel-item > div {display: none;}
    .carousel-inner .carousel-item > div:first-child {display: block;}
}
.carousel-inner .carousel-item.active,
.carousel-inner .carousel-item-next,
.carousel-inner .carousel-item-prev {display: flex;}
/* medium and up screens */
@media (min-width: 768px) {
    .carousel-inner .carousel-item-end.active,
    .carousel-inner .carousel-item-next {transform: translateX(25%);}
    .carousel-inner .carousel-item-start.active, 
    .carousel-inner .carousel-item-prev {transform: translateX(-25%);}
}
.carousel-inner .carousel-item-end,
.carousel-inner .carousel-item-start {transform: translateX(0);}
.carousel-control-prev-icon {
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' fill='%23000' width='8' height='8' viewBox='0 0 8 8'%3e%3cpath d='M5.25 0l-4 4 4 4 1.5-1.5L4.25 4l2.5-2.5L5.25 0z'/%3e%3c/svg%3e");
}  
.carousel-control-next-icon {
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' fill='%23000' width='8' height='8' viewBox='0 0 8 8'%3e%3cpath d='M2.75 0l-1.5 1.5L3.75 4l-2.5 2.5L2.75 8l4-4-4-4z'/%3e%3c/svg%3e");
}
</style>

<div class="container mb-4">
    <div class="row">

       <div class="col-md-6 mb-2">
          <div class="heading_area">
             <div class="heading-border"></div>
             <div class="section-title pb-3 more_category">
               <a href="<?php echo esc_url( get_category_link(ctpress_get_option('video')) ); ?>">
                   <h2> <?php echo get_cat_name(ctpress_get_option('video'));?> </h2>
                </a>
             </div>
          </div>  
          <!-- Video section -->
          <div class="mx-auto my-auto justify-content-center video-section">
            <div id="videoContent" class="carousel slide" data-bs-ride="carousel">
               <div class="carousel-inner" role="listbox">
                  <div class="col-md-10 mx-auto">
                     <div class="row">
                        <?php 
                         $video_article_num = 0;
                         $video_article = new WP_Query( [
                              'post_type'       => 'post',
                              'posts_per_page'  => 6,
                              // 'post__not_in'    => $lead_article,
                              'category__in'    => ctpress_get_option('video'),
                              'tax_query' => array(
                                array(
                                    'taxonomy' => 'post_format',
                                    'field'    => 'slug',
                                    'terms'    => array( 'post-format-video' ),
                                ),
                              ),
                          ]);
                         if ( $video_article->have_posts()) :
                           while( $video_article->have_posts()) : $video_article->the_post();
                        ?>
                        <div class="carousel-item row <?php echo $video_article_num == 0 ? 'active': ''; ?>">
                           <div class="col-md-4">
                            <a class="post-item" href="<?php the_permalink()?>">
                               <figure class="img-holder">
                                <?php echo ctpress_get_post_image( 'medium' ); ?>
                               </figure>
                            </a>
                           </div>
                        </div>
                        <?php $video_article_num++; endwhile; endif; ?>   
                     </div>                  
                  </div>              

               </div>

               <a class="carousel-control-prev w-aut" href="#videoContent" role="button" data-bs-slide="prev">
                   <span class="carousel-control-prev-icon" aria-hidden="true" style="margin-right:20px;"></span>
               </a>
               <a class="carousel-control-next w-aut" href="#videoContent" role="button" data-bs-slide="next">
                   <span class="carousel-control-next-icon" aria-hidden="true"></span>
               </a>
            </div>
          </div>                      
       </div> <!-- video section end -->

       <div class="col-md-6 mb-2">
          <div class="heading_area">
             <div class="heading-border"></div>
             <div class="section-title pb-3 more_category">
               <a href="<?php echo esc_url( get_category_link(ctpress_get_option('image')) ); ?>">
                   <h2> <?php echo get_cat_name(ctpress_get_option('image'));?> </h2>
                </a>
             </div>
          </div>  
          <!-- Image section -->
          <div class="mx-auto my-auto justify-content-center image-section">
            <div id="imageContent" class="carousel slide" data-bs-ride="carousel">
               <div class="carousel-inner" role="listbox">
                  <div class="col-md-10 mx-auto">
                     <div class="row">
                        <?php 
                         $img_article_num = 0;
                         $img_article = new WP_Query( [
                              'post_type'       => 'post',
                              'posts_per_page'  => 6,
                              'category__in'    => ctpress_get_option('image'),
                              'tax_query' => array(
                                array(
                                    'taxonomy' => 'post_format',
                                    'field'    => 'slug',
                                    'terms'    => array( 'post-format-image' ),
                                ),
                              )
                          ]);
                         if ( $img_article->have_posts()) :
                           while( $img_article->have_posts()) : $img_article->the_post();
                        ?>
                        <div class="carousel-item row <?php echo $img_article_num == 0 ? 'active': ''; ?>">
                           <div class="col-md-4">
                            <a class="post-item" href="<?php the_permalink()?>">
                               <figure class="img-holder">
                                <?php echo ctpress_get_post_image( 'medium' ); ?>
                               </figure>
                               <!-- <div class="post-content pt-1">                        
                                  <div class="title-holder">
                                    <?php 
                                    // the_title('<h3 class="post-title">','</h3>'); 
                                    ?>
                                  </div>
                               </div> -->
                            </a>
                           </div>
                        </div>
                        <?php $img_article_num++; endwhile; endif; ?>   
                     </div>                  
                  </div>              

               </div>

               <a class="carousel-control-prev w-aut" href="#imageContent" role="button" data-bs-slide="prev">
                   <span class="carousel-control-prev-icon" aria-hidden="true" style="margin-right:20px;"></span>
               </a>
               <a class="carousel-control-next w-aut" href="#imageContent" role="button" data-bs-slide="next">
                   <span class="carousel-control-next-icon" aria-hidden="true"></span>
               </a>
            </div>
          </div>                      
       </div> <!-- image section end -->
        
    </div>
    
</div>


<script>
   let items = document.querySelectorAll('.carousel .carousel-item')
   items.forEach( el => {
       let next = el.nextElementSibling
       for ( var i=1; i < 3; i++ ) {
           if (!next) { next = items[0] }
           let cloneChild = next.cloneNode(true)
           el.appendChild(cloneChild.children[0])
           next = next.nextElementSibling
       }
   });
</script>

<?php do_action( 'ctpress_fullbody_section' ); ?>

  <div class="container">
     <div class="row">
        <div class="col-md-12">
            <div class="advertisement_area">
               <!-- 970x90 size -->
               <?php do_action( 'ctpress_after_fullbody_section' ); ?>
            </div>           
        </div>
     </div>
  </div>

  <div class="container">
    <div class="row">
       <div class="col-md-8 br-right">

          <div class="row">
             <div class="col-xs-12">
                <div class="heading_area">
                   <div class="heading-border"></div>
                   <div class="section-title pb-3 body_one">
                      <a href="<?php echo esc_url( get_category_link(ctpress_get_option('body_one')) ); ?>">
                         <h2> <?php echo get_cat_name(ctpress_get_option('body_one'));?> </h2>
                      </a>
                   </div>
                </div>                        
             </div>
          </div>
          <div class="row no-margin pb-4 p-r-20">
             <div class="col-xs-12 pb-4">

                <?php 
                   $body_one_lead = 0;
                   $body_one = new WP_Query( [
                        'post_type'=>'post',
                        'posts_per_page'=>2,
                        'post__in' => get_option( 'sticky_posts' ),
                        'category__in'=>ctpress_get_option('body_one')
                    ]);
                   while( $body_one->have_posts()) : $body_one->the_post();
                ?>

                <div class="row">
                   <div class="col-xs-12 col-sm-5 pt-2">
                      <a class="post-item" href="<?php the_permalink()?>">
                         <figure class="img-holder">
                          <?php echo ctpress_get_post_image( 'medium_large' ); ?>
                         </figure>
                      </a>
                   </div>
                   <?php $body_one_lead=get_the_ID(); ?>
                   <div class="col-xs-12 col-sm-7">
                     <a class="post-item" href="<?php the_permalink()?>">
                        <div class="pb-2">
                           <div class="title-holder pt-2">
                              <?php the_title('<h2 class="post-title pb-2">','</h2>'); ?> 
                              <p class="brief"> <?php echo ctpress_excerpt(20); ?> </p>
                            </div>
                         </div>
                      </a>
                   </div>
                </div>
                <?php endwhile; ?>
             </div>

          </div>

          <div class="container">
              <div class="row">
                 <div class="col-md-12">
                    <div class="advertisement_area">
                        <!-- 728x90 size -->
                      <?php do_action( 'ctpress_after_body_one_section' ); ?>
                    </div>
                 </div>
              </div>
          </div>

       </div>
       <div class="col-md-4 br-top">

         <?php 
         if ( is_active_sidebar('homepage_sidebar')) {
             dynamic_sidebar('homepage_sidebar');
         }
         ?>

         <div class="special-feature">
            <div class="section-title right_sidebarcat">
               <a href="<?php echo esc_url( get_category_link(ctpress_get_option('right_sidebarcat')) ); ?>">
                  <h2> <?php echo get_cat_name(ctpress_get_option('right_sidebarcat'));?> </h2>
               </a>
            </div>
            <div class="contents">
                <div class="row">
                   <div class="col-md-12 pt-2">
                      <?php 
                         $right_sidebarcat_lead = 0;
                         $right_sidebarcat = new WP_Query( [
                              'post_type'=>'post',
                              'posts_per_page'=>1,
                              'post__in' => get_option( 'sticky_posts' ),
                              'category__in'=>ctpress_get_option('right_sidebarcat')
                          ]);
                         while( $right_sidebarcat->have_posts()) : $right_sidebarcat->the_post();
                         $right_sidebarcat_lead = get_the_ID();
                      ?>
                      <a class="post-item" href="<?php the_permalink()?>">
                        <figure class="img-holder sidebar-lead me-2 text-center">
                           <?php echo ctpress_get_post_image( ); ?>  
                        </figure>
                        <div class="pb-4">
                           <div class="title-holder">
                              <?php the_title('<h3 class="post-title"><strong>','</strong></h3>'); ?>
                           </div>                                   
                        </div>
                      </a>
                      <?php endwhile; ?>

                   </div>
                </div>

                <div class="row">
                  <?php 
                     $right_sidebarcat = new WP_Query( [
                        'post_type'       => 'post',
                        'posts_per_page'  => 10,
                        'offset'          => 1,
                        'category__in'    => ctpress_get_option('right_sidebarcat')
                     ]);
                     while( $right_sidebarcat->have_posts()) : $right_sidebarcat->the_post();
                  ?>
                  <div class="col-sm-12">
                     <div class="row">
                        <div class="col-sm-5">
                           <figure class="img-holder">
                              <?php echo ctpress_get_post_image( 'thumbnail' ); ?>
                           </figure>
                        </div>

                         <div class="col-sm-7">
                           <a href="<?php the_permalink()?>">
                               <div class="title-holder">
                                  <?php the_title('<h3 class="post-title" style="font-size:16px;"><strong>','</strong></h3>'); ?>
                               </div>
                            </a>
                         </div>                      
                     </div>                      
                  </div>
                  <?php endwhile; ?>
               </div>
            </div>
         </div>

          <div class="advertisement_area my-4">
            <!-- advertisement area -->  
            <!-- 970x90 size -->   
            <?php do_action('ctpress_home_rightsidebar_bottom'); ?>                
          </div>

       </div>
    </div>
  </div>

  <div class="container">
     <div class="row">

         <!-- Food habit section -->
        <div class="col-md-6">
            <div class="row">
               <div class="col-md-12">
                  <div class="heading_area">
                     <div class="heading-border"></div>
                     <div class="section-title pb-3 body_two">
                         <a href="<?php echo esc_url( get_category_link(ctpress_get_option('body_two')) ); ?>">
                            <h2> <?php echo get_cat_name(ctpress_get_option('body_two'));?> </h2>
                         </a>
                     </div>
                  </div>                        
               </div>
            </div>

            <div class="row">
               <div class="col-md-6">
                   <?php 
                      $body_two_lead = 0;
                      $body_two = new WP_Query( [
                           'post_type'       => 'post',
                           'posts_per_page'  => 1,
                           'post__in'        => get_option( 'sticky_posts' ),
                           'category__in'    => ctpress_get_option('body_two'),
                       ]);
                      while( $body_two->have_posts()) : $body_two->the_post();
                   ?>                      
                     <a class="post-item" href="<?php the_permalink()?>">
                      <figure class="img-holder">
                       <?php echo ctpress_get_post_image( 'medium_large' ); ?>
                      </figure>
                     </a>
                      
                      <?php $body_two_lead=get_the_ID(); ?>
                     <a class="post-item" href="<?php the_permalink()?>">
                        <div class="title-holder pb-2">
                           <?php the_title('<h3 class="post-title"><strong>','</strong></h3>'); ?> 
                           <p class="brief"> <?php echo ctpress_excerpt(20); ?> </p>
                        </div>
                     </a>
                   <?php endwhile; ?>
               </div>

               <!-- second 2 article -->
               <div class="col-md-6">
                  <div class="row">
                     <?php 
                        $body_three = new WP_Query( [
                           'post_type'      => 'post',
                           'posts_per_page' => 2,
                           'offset'         => 1,
                           'category__in'   => ctpress_get_option('body_two')
                        ]);
                        while( $body_three->have_posts()) : $body_three->the_post();
                     ?>
                     <div class="col-md-12">
                        <div class="row">
                           <div class="col-md-5">
                              <figure class="img-holder">
                                 <?php echo ctpress_get_post_image( ); ?>
                              </figure>
                           </div>
                           <div class="col-md-7">
                              <a class="post-item bg-grey" href="<?php the_permalink()?>">
                                 <div class="post-content pt-2">
                                    <div class="title-holder">
                                       <?php the_title('<h3 class="post-title no-margin" style="font-size:16px;">', '</h3>'); ?> 
                                    </div>
                                 </div>
                              </a>
                           </div>
                        </div>
                      </div>
                   <?php endwhile; ?>
                  </div>
               </div>
               <!-- col-md-6 section end -->


            </div>
        </div>

        <!-- Delivery category -->
        <div class="col-md-6">

           <div class="row no-margin">
               <div class="col-xs-12">
                  <div class="heading_area">
                     <div class="heading-border"></div>
                     <div class="section-title pb-3 body_three">
                        <a href="<?php echo esc_url( get_category_link(ctpress_get_option('body_three')) ); ?>">
                           <h2> <?php echo get_cat_name(ctpress_get_option('body_three'));?> </h2>
                        </a>
                      </div>
                  </div>                        
                </div>
            </div>

            <div class="row">
               <div class="col-md-6">
                  <?php 
                     $body_three_lead = 0;
                     $body_three = new WP_Query( [
                        'post_type'       => 'post',
                        'posts_per_page'  => 1,
                        'post__in'        => get_option( 'sticky_posts' ),
                        'category__in'    => ctpress_get_option('body_three')
                     ]);
                     while( $body_three->have_posts()) : $body_three->the_post();
                  ?>

                  <a class="post-item" href="<?php the_permalink()?>">
                     <figure class="img-holder">
                        <?php echo ctpress_get_post_image( 'medium_large' ); ?>
                     </figure>
                  </a>

                  <?php $body_three_lead=get_the_ID(); ?>
                     <a class="post-item" href="<?php the_permalink()?>">
                        <div class="title-holder pb-2">
                           <?php the_title('<h3 class="post-title"><strong>','</strong></h3>'); ?> 
                           <p class="brief"> <?php echo ctpress_excerpt(20); ?> </p>
                        </div>
                     </a>
                  <?php endwhile; ?>
               </div>

               <div class="col-md-6">
                  <div class="row">
                     <?php 
                        $body_three = new WP_Query( [
                           'post_type'      => 'post',
                           'posts_per_page' => 2,
                           'offset'         => 1,
                           'category__in'   => ctpress_get_option('body_three')
                        ]);
                        while( $body_three->have_posts()) : $body_three->the_post();
                     ?>
                     <div class="col-md-12">
                        <div class="row">
                           <div class="col-md-5">
                              <figure class="img-holder">
                                 <?php echo ctpress_get_post_image( ); ?>
                              </figure>
                           </div>
                           <div class="col-md-7">
                              <a class="post-item bg-grey" href="<?php the_permalink()?>">
                                  <div class="post-content pt-2">
                                     <div class="title-holder">
                                       <?php the_title('<h3 class="post-title no-margin" style="font-size:16px;">', '</h3>'); ?> 
                                     </div>
                                  </div>
                               </a>
                           </div>
                        </div>
                      </div>
                   <?php endwhile; ?>
                </div>
               </div>
               <!-- col-md-6 section end -->

            </div>
        </div>
     </div>
  </div>

   <div class="container mt-5">
      <div class="row">
         <!-- first section -->
         <div class="col-md-4">
            <div class="heading_area">
               <div class="heading-border"></div>
               <div class="section-title pb-3 bleft">
                  <a href="<?php echo esc_url( get_category_link(ctpress_get_option('bleft')) ); ?>">
                     <h2> <?php echo get_cat_name(ctpress_get_option('bleft'));?> </h2>
                  </a>
               </div>
            </div> 

            <?php 
                $bleft = new WP_Query( [
                     'post_type'       => 'post',
                     'posts_per_page'  => 1,
                     'category__in'    => ctpress_get_option('bleft')
                 ]);
                while( $bleft->have_posts()) : $bleft->the_post();
            ?>
            <figure class="img-holder">
               <?php echo ctpress_get_post_image( 'medium' ); ?>
            </figure>
            <a href="<?php the_permalink()?>">
               <div class="title-holder">
                  <?php the_title('<h3 class="post-title"><strong>','</strong></h3>'); ?>
               </div>
             </a>
             <?php endwhile; ?>
         </div>  
         <!-- second section -->
         <div class="col-md-4">
            <div class="heading_area">
               <div class="heading-border"></div>
               <div class="section-title pb-3 bsecond">
                  <a href="<?php echo esc_url( get_category_link(ctpress_get_option('bsecond')) ); ?>">
                     <h2> <?php echo get_cat_name(ctpress_get_option('bsecond'));?> </h2>
                  </a>
               </div>
            </div> 

            <?php 
                $bsecond = new WP_Query( [
                     'post_type'       => 'post',
                     'posts_per_page'  => 1,
                     'category__in'    => ctpress_get_option('bsecond')
                 ]);
                while( $bsecond->have_posts()) : $bsecond->the_post();
            ?>
            <figure class="img-holder">
               <?php echo ctpress_get_post_image( 'medium' ); ?>
            </figure>
            <a href="<?php the_permalink()?>">
               <div class="title-holder">
                  <?php the_title('<h3 class="post-title"><strong>','</strong></h3>'); ?>
               </div>
             </a>
             <?php endwhile; ?>
         </div>  
         <!-- third section -->
         <div class="col-md-4">
            <div class="heading_area">
               <div class="heading-border"></div>
               <div class="section-title pb-3 body_three">
                  <a href="<?php echo esc_url( get_category_link(ctpress_get_option('bright')) ); ?>">
                     <h2> <?php echo get_cat_name(ctpress_get_option('bright'));?> </h2>
                  </a>
               </div>
            </div> 

            <?php 
                $bright = new WP_Query( [
                     'post_type'       => 'post',
                     'posts_per_page'  => 1,
                     'category__in'    => ctpress_get_option('bright')
                 ]);
                while( $bright->have_posts()) : $bright->the_post();
            ?>
            <figure class="img-holder">
               <?php echo ctpress_get_post_image( 'medium' ); ?>
            </figure>
            <a href="<?php the_permalink()?>">
               <div class="title-holder">
                  <?php the_title('<h3 class="post-title"><strong>','</strong></h3>'); ?>
               </div>
             </a>
             <?php endwhile; ?>
         </div>  

      </div>
    
   </div>

  <div class="container">
    <div class="row">
       <div class="col-md-12">
          <div class="advertisement_area">
            <!-- Advertisement area 970x90 size-->
            <?php do_action('ctpress_body_bottom_section'); ?>
          </div>
       </div>
    </div>
  </div>
</main>
<?php get_footer(); ?>
